TextResource (Gradle API 2.14.1)

Package: org.gradle.api.resources

## [Java] Interface TextResource

- org.gradle.api.Buildable

- All Superinterfaces:
    Buildable

  A read-only body of text backed by a string, file, archive entry, or other source. To create a text resource, use one of the factory methods in TextResourceFactory (e.g. `project.resources.text.fromFile(myFile)`).

  Since:
    2.2

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `asFile(String charset)` Returns a file containing the resource's text and using the given character encoding.
    `File` | `asFile()` Same as `asFile(Charset.defaultCharset().name())`.
    `Reader` | `asReader()` Returns an unbuffered Reader that allows the resource's text to be read.
    `String` | `asString()` Returns a string containing the resource's text
    `FileCollection` | `getInputFiles()` Returns the input files registered when this resource is used as task input.
    `Object` | `getInputProperties()` Returns the input properties registered when this resource is used as task input.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Buildable` | `getBuildDependencies`

- - ### Method Detail

    - #### public File asFile(String charset)

      Returns a file containing the resource's text and using the given character encoding. If this resource is backed by a file with a matching encoding, that file may be returned. Otherwise, a temporary file will be created and returned.

      Parameters:
        `charset` - a character encoding (e.g. `"utf-8"`)
      Returns:
        a file containing the resource's text and using the given character encoding

    - #### public File asFile()

      Same as `asFile(Charset.defaultCharset().name())`.

    - #### public Reader asReader()

      Returns an unbuffered Reader that allows the resource's text to be read. The caller is responsible for closing the reader.

      Returns:
        a reader that allows the resource's text to be read.

    - #### public String asString()

      Returns a string containing the resource's text

      Returns:
        a string containing the resource's text

    - #### @InputFiles @Optional public FileCollection getInputFiles()

      Returns the input files registered when this resource is used as task input. Not typically used directly.

      Returns:
        the input files registered when this resource is used as task input

    - #### @Input @Optional public Object getInputProperties()

      Returns the input properties registered when this resource is used as task input. Not typically used directly.

      Returns:
        the input properties registered when this resource is used as task input